%global srcname asv-runner
%global srcname_ asv_runner

Name:           python-%{srcname}
Version:        0.0.9
Release:        %{autorelease}
Summary:        Core Python benchmark code for ASV

License:        BSD-3-Clause
URL:            https://asv.readthedocs.io/projects/asv-runner/en/latest/
Source0:        %pypi_source %{srcname_}

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
ASV Runner provides essential functionality for benchmarking Python packages
with ease and efficiency.

Key Features:

* Benchmark Classes: ASV Runner includes the core benchmark classes for asv
  that enable accurate measurement of performance metrics such as runtime,
  memory consumption, and peak memory usage.

* Minimal Dependencies: ASV Runner has minimal dependencies, relying primarily
  on pure Python for timing operations.

* Flexible Integration: ASV Runner is a core component of ASV, enabling
  comprehensive benchmarking of Python packages throughout their development
  lifecycle.

ASV runner is a powerful framework for leveraging asv’s rich plugin ecosystem.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3dist(pympler)
Requires:       python3dist(pympler)

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname_}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname_}

%check
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license %{python3_sitelib}/%{srcname_}-%{version}.dist-info/licenses/LICENSE.md

%changelog
%{autochangelog}

